### Method

# Fwupd JsonObject get_integer_with_default

since: 2.1.1

#### Declaration [src]

    gboolean
    fwupd_json_object_get_integer_with_default (
      FwupdJsonObject* self,
      const gchar* key,
      gint64* value,
      gint64 value_default,
      GError** error
    )

#### Description [src]

Gets an integer from a JSON object. An error is returned if `key` is not the correct type.

Available since: 2.1.1

#### Parameters

`key`

  Type: `const gchar*`

  Dictionary key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gint64*`

  Integer value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`value_default`

  Type: `gint64`

  Value to return if `key` is not found, typically 0 or `G_MAXINT64`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was parsed as an integer.